//
//  NSLayoutConstraint+IBDesignable.m
//  SharedParking
//
//  Created by gui_huan on 2018/6/20.
//  Copyright © 2018年 tangshuanghui. All rights reserved.
//

#import "NSLayoutConstraint+IBDesignable.h"

@implementation NSLayoutConstraint (IBDesignable)

- (void)setAdapterScreen:(BOOL)adapterScreen {
    if (adapterScreen){
        self.constant = self.constant * KScaleW;
    }
}

- (BOOL)adapterScreen {
    return YES;
}

- (void)setAdapterScreenW:(BOOL)adapterScreenW {
    if (adapterScreenW){
        self.constant = self.constant * KScaleW;
    }
}

- (BOOL)adapterScreenW {
    return YES;
}

- (void)setSafeAreaTop:(BOOL)safeAreaTop {
    NSLog(@"--%f",kSafeAreaTop);
    if (safeAreaTop && kSafeAreaTop == 0){
        self.constant = self.constant + 20;
    }else {
        self.constant = self.constant;
    }
}

- (BOOL)safeAreaTop {
    return NO;
}

@end
